//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
#include "grapEllipse.h"
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include "ievect.hpp"
#include "ieview.hpp"
#include "imageenview.hpp"
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.ComCtrls.hpp>
#include "cspin.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TImageEnVect *PaintView;
	TTrackBar *trackRotate;
	TLabel *Label1;
	TCSpinEdit *editResolution;
	TLabel *Label2;
	TLabel *Label3;
	TLabel *labAngle;
	void __fastcall FormShow(TObject *Sender);
	void __fastcall PaintViewMouseDown(TObject *Sender, TMouseButton Button, TShiftState Shift,
          int X, int Y);
	void __fastcall PaintViewMouseMove(TObject *Sender, TShiftState Shift, int X, int Y);
	void __fastcall PaintViewMouseUp(TObject *Sender, TMouseButton Button, TShiftState Shift,
          int X, int Y);
	void __fastcall trackRotateChange(TObject *Sender);

private:	// User declarations
	int mouseDown, hobj, mDownX, mDownY;
	TGrapEllipse *grapEllipse;
	TRect boundRect;
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
	__fastcall ~TForm1(void);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
