//---------------------------------------------------------------------------
#ifndef grapBasicH
#define grapBasicH
#include <System.Types.hpp>
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
const GP_CHUNK_MAX = 65536; //64k
//const GP_CHUNK_MAX = 131072; //128k
//---------------------------------------------------------------------------
class TGrapBasic
{
protected:
struct structPtChunk
   {
   TPoint Point[GP_CHUNK_MAX];
   int Count;
   };
//TODO: eventualno naslijediti TObject
private:
	TObjectList *chunkList;
    structPtChunk *chunkItem;
protected:
    int   _Step;
	int   _imgHeightM1;
    void __fastcall savePoint(int X, int Y);
    virtual void __fastcall clearChunks(TObjectList *cList);
    virtual int __fastcall getOverallChunkSize(TObjectList *cList);
	virtual void __fastcall savePoint(TObjectList *cList, structPtChunk *cItem, int X, int Y);
	void __fastcall rotatePoints(TPoint *points, int points_number, TPoint *origin, double angle);
    //
public:
     __fastcall TGrapBasic(int imgHeight);
    virtual __fastcall ~TGrapBasic(void);
	//
	TPoint *PointBmp, *PointRaw, *PointScreen;
	int    CountBmp, CountRaw, CountScreen;
	virtual UnicodeString __fastcall ClassName(void);
    virtual bool __fastcall DrawBound(TRect *boundRect);
    virtual void __fastcall DrawCoords(int X1, int Y1, int X2, int Y2);
    virtual void __fastcall Rotate(TPoint *origin, double angle);
    void __fastcall ResetStepper(int initStep);
    virtual void __fastcall Reset(void);
	virtual void __fastcall GetBitmapPoints(int lineStep);
    virtual void __fastcall GetScreenPoints(int lineStep);
    virtual void __fastcall GetRawPoints(void);
};
#endif
